/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "pokergameassets.h"

bool pokerGameAssetsInit(pokergameassets_t *assets) {
  assetFontLoad(&assets->font, "fonts/opensans/OpenSans-Bold.ttf");
  assetShaderLoad(&assets->shader,
    "shaders/textured.vert", "shaders/textured.frag"
  );
  languageInit(&assets->language, "locale/language/en-US.csv");
  assetTextureLoad(&assets->testTexture, "test_texture.png");
  return true;
}

void pokerGameAssetsDispose(pokergameassets_t *assets) {
  textureDispose(&assets->testTexture);
  languageDispose(&assets->language);
  shaderDispose(&assets->shader);
  fontDispose(&assets->font);
}